#!/usr/bin/env python3
# -*- coding: utf-8 -*-
# @Time    : 2019-09-21 11:13
# @Project : tf_exp

from tensorflow.python.framework import graph_util
import tensorflow as tf

image = tf.placeholder(tf.float32, [1, 5, 5, 3], name="input_image")

red, green,blue = tf.split(image, num_or_size_splits=3, axis=3)

pred = tf.concat([red, green, blue],3)
pred = tf.identity(pred,name = "pred")

init = tf.global_variables_initializer()
sess = tf.Session()
sess.run(init)

#tf.train.write_graph(sess.graph_def, "./logdir", "./split.pbtxt", as_text=True)
# We use a built-in TF helper to export variables to constant
output_graph_def = graph_util.convert_variables_to_constants(
    sess, sess.graph_def,
    output_node_names=['pred']
)

# Finally we serialize and dump the output graph to the filesystem
with tf.gfile.GFile("./split.pb", "wb") as f:
    f.write(output_graph_def.SerializeToString())
