from tensorflow.python.framework import graph_util
import tensorflow as tf

image = tf.placeholder(tf.float32, [1, 5, 5, 3], name="input_image")

red, green,blue = tf.split(image, num_or_size_splits=3, axis=3)

red = tf.layers.conv2d(red, 1, 3, padding='same')
green = tf.layers.conv2d(green, 1, 3, padding='same')
blue = tf.layers.conv2d(blue, 1, 3, padding='same')

pred = tf.concat([red, green, blue],3)
pred = tf.identity(pred,name = "pred")

init = tf.global_variables_initializer()
sess = tf.Session()
sess.run(init)

#tf.train.write_graph(sess.graph_def, "./logdir", "./split_0215.pbtxt", as_text=True)
# We use a built-in TF helper to export variables to constant
output_graph_def = graph_util.convert_variables_to_constants(
    sess, sess.graph_def,
    output_node_names=['pred']
)

# Finally we serialize and dump the output graph to the filesystem
with tf.gfile.GFile("./split_conv.pb", "wb") as f:
    f.write(output_graph_def.SerializeToString())