import tensorflow as tf
import numpy as np
import PIL
import cv2 as cv 
import scipy.misc
import time

in_height = 5
in_width = 5
in_channel = 3

image = np.arange(75,dtype=np.float32)
image = image.reshape(1,in_height,in_width,in_channel)

gd = tf.GraphDef.FromString(open('./split.pb','rb').read())
inp, predictions = tf.import_graph_def(gd,  return_elements = ['input_image:0', 'pred:0'])


with tf.Session(graph=inp.graph,config = tf.ConfigProto(allow_soft_placement = True)):

    x = predictions.eval(feed_dict={inp: image})
    print (x.shape)
    print (x)
    x = x.reshape(-1)
    print ("the 0 num is ", x[0])
    print ("Max element is " + str(np.max(x)) + " at position " + str(np.argmax(x)))
    print ("Min element is " + str(np.min(x)) + " at position " + str(np.argmin(x)))
